This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 496497 - RFE: [PATCH] Be able to start netconsole without configured interface [NEEDINFO]
RFE: [PATCH] Be able to start netconsole without configured interface
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
: EasyFix, FutureFeature, Patch
Depends On:
Blocks: F11Target
  Show dependency treegraph
 
Reported: 2009-04-19 13:17 EDT by Lubomir Rintel
Modified: 2014-03-16 23:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:05:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lkundrak: needinfo? (notting)


Attachments (Terms of Use)
add LOCALLADDR= parameter to netconsole configuration (1.20 KB, text/plain)
2009-04-19 13:17 EDT, Lubomir Rintel
no flags Details

  None (edit)
Description Lubomir Rintel 2009-04-19 13:17:37 EDT
Created attachment 340244 [details]
add LOCALLADDR= parameter to netconsole configuration

Description of problem:

In NetworkManager-enabled installations without "network" service, where network is brought up with a Desktop session there's no way to have netconsole started at boot time since the netconsole script can't determine local address given the interface is not yet configured and gives up.

The tiny patch that's attached makes it possible to specify local IP address to use for netconsole so that netconsole will initialize and actual interface configuration can be deferred until the user logs in.

Version-Release number of selected component (if applicable):

initscripts-8.94-1.i586
Comment 1 Bill Nottingham 2009-04-21 18:19:05 EDT
That would still require essentially static local configuration (so that it could be recorded in the config file), would it not?
Comment 2 Lubomir Rintel 2009-04-22 02:36:07 EDT
Yes. That's the point of most of existing configuration values in the netconsole configuration file -- to configure netconsole with static configuration that works very early. For some reason the source address was the only remaining piece that could not be set there.
Comment 3 Bug Zapper 2009-06-09 10:08:10 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Lubomir Rintel 2009-09-29 02:11:45 EDT
Ping?
Comment 5 Bug Zapper 2010-04-27 09:47:00 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-06-28 08:05:53 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.